Skip to main content
GET
/
v1
/
telemetry
/
traces
Search Traces
curl --request GET \
  --url https://api.example.com/v1/telemetry/traces
{
  "traces": [
    {
      "trace_id": "<string>",
      "root_service_name": "<string>",
      "root_trace_name": "<string>",
      "start_time_unix_nano": 123,
      "duration_ms": 123
    }
  ],
  "metrics": {
    "inspectedTraces": 123,
    "inspectedBytes": "<string>",
    "completedJobs": 123,
    "totalJobs": 123
  }
}

Query Parameters

time_range
enum<string>
default:1h

Window to search for traces

Available options:
15m,
30m,
1h,
2h,
6h,
1d,
7d,
30d
limit
integer
default:20

Maximum number of traces to return

Required range: 1 <= x <= 200
service_name
string | null

Filter by root service

agent_configuration_id
string | null

Filter by agent id

min_duration_ms
integer | null

Lower bound on trace duration (ms)

max_duration_ms
integer | null

Upper bound on trace duration (ms)

query
string | null

Advanced TraceQL query

Response

Successful Response

traces
TraceSummaryResponse · object[]
metrics
TraceSearchMetricsResponse · object
Last modified on April 21, 2026